summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2019-08-23 22:45:26 +0200
committerJames Le Cuirot <chewi@gentoo.org>2024-06-09 16:54:05 +0100
commit985eeb5a284c04d5f9f168b7fb47fade65c5d45d (patch)
treeb1e37933032c580c632b6b2261586a72eb8be670
parentx11-misc/xkeyboard-config: Version bump to 2.42 (diff)
downloadgentoo-985eeb5a284c04d5f9f168b7fb47fade65c5d45d.tar.gz
gentoo-985eeb5a284c04d5f9f168b7fb47fade65c5d45d.tar.bz2
gentoo-985eeb5a284c04d5f9f168b7fb47fade65c5d45d.zip
games-strategy/darwinia: bump to version 1.43
Newer versions are not anymore provided as update, instead, you need the full version from packages like GOG or Humble Bundle. Also bumped to EAPI=7. Package-Manager: Portage-2.3.72, Repoman-2.3.17 Signed-off-by: Conrad Kostecki <conrad@kostecki.com> Closes: https://bugs.gentoo.org/419427 Closes: https://github.com/gentoo/gentoo/pull/12775 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
-rw-r--r--games-strategy/darwinia/Manifest2
-rw-r--r--games-strategy/darwinia/darwinia-1.43.ebuild64
-rw-r--r--games-strategy/darwinia/metadata.xml15
3 files changed, 77 insertions, 4 deletions
diff --git a/games-strategy/darwinia/Manifest b/games-strategy/darwinia/Manifest
index 61042261d1bb..e268bb9dfae9 100644
--- a/games-strategy/darwinia/Manifest
+++ b/games-strategy/darwinia/Manifest
@@ -1 +1,3 @@
DIST darwinia-full-1.4.0b9.sh 4228121 BLAKE2B f1cae61e3ad6802a1e04fc5306bfbb7194ad08df29a82a376dc7f1945ab8f1f99620653800bb2458941f2004488abf441c211bc3f6d7c65e4d3f47cb9155e5f6 SHA512 ed228943d4e70fc5799bbe7566b4fd862f2494f9d02bcd874f0d1b93d7bbc9a2c24a98fb5b8219fed20759bfe2af54d6ea33c60ddd8d8850e591a89822b41bb5
+DIST darwinia_1.43_amd64.tar.gz 33905558 BLAKE2B 5894b8e33210c082d30548e74ba5c8462f30a2a410864c28de063bb66e3b1f09f3fcbd923dbc6cf36cfe7f809cd705deb539803c652d24d1b055c93c2e260ef6 SHA512 3207bec69a77979e8e8b7713cf90cad612f7b67a013de088d07a97356e21ff0a9addfe7cf7febc58f4efb8f1d746a6e495a290ec2684fdf0882f7391d0ad8470
+DIST darwinia_1.43_i386.tar.gz 34529858 BLAKE2B 1ccc3ed376bd9c8800f39ce23371c2ad36d1087c14acb539c5c5adf8f84c3aa6ffc1c9cc4cf22b95eb7385adc0c6e18a1e9864efd37bb1b9421b71dad1ca5b82 SHA512 f191590ce65b95a4449f0543198eda7a215a9e0f9e814aa91912138e7ba839c1ee2f7ab687be478965f1fbdbf7ecc201bd2abb84d4801a16a18df353d77b26c2
diff --git a/games-strategy/darwinia/darwinia-1.43.ebuild b/games-strategy/darwinia/darwinia-1.43.ebuild
new file mode 100644
index 000000000000..2e4ac40f9cd6
--- /dev/null
+++ b/games-strategy/darwinia/darwinia-1.43.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop
+
+MY_P="${P/-/_}"
+
+DESCRIPTION="A digital dreamscape simulation game"
+HOMEPAGE="https://www.introversion.co.uk/darwinia/"
+SRC_URI="
+ amd64? ( ${MY_P}_amd64.tar.gz )
+ x86? ( ${MY_P}_i386.tar.gz )
+"
+
+LICENSE="Introversion"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+RDEPEND="
+ media-libs/libogg
+ media-libs/libsdl
+ media-libs/libvorbis
+ virtual/glu
+"
+
+RESTRICT="bindist fetch mirror strip"
+
+S="${WORKDIR}/${PN}"
+
+QA_PREBUILT="
+ opt/darwinia/darwinia.bin.x86
+ opt/darwinia/darwinia.bin.x86_64
+"
+
+src_unpack() {
+ default
+
+ if use x86; then
+ mv Darwinia darwinia || die
+ fi
+}
+
+src_compile() {
+ :;
+}
+
+src_install() {
+ exeinto /opt/darwinia
+ doexe darwinia.bin.x86$(usex amd64 '_64' '')
+
+ insinto /opt/darwinia
+ doins *.dat
+
+ dodir /opt/bin
+ dosym ../darwinia/darwinia.bin.x86$(usex amd64 '_64' '') /opt/bin/darwinia
+
+ doicon darwinian.png
+
+ make_desktop_entry "darwinia" "Darwinia" darwinian Game
+
+ dodoc {changes,readme-linux}.txt
+}
diff --git a/games-strategy/darwinia/metadata.xml b/games-strategy/darwinia/metadata.xml
index 1c3ba213c494..2f4cdf1acaa2 100644
--- a/games-strategy/darwinia/metadata.xml
+++ b/games-strategy/darwinia/metadata.xml
@@ -1,8 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>games@gentoo.org</email>
- <name>Gentoo Games Project</name>
-</maintainer>
+ <maintainer type="person">
+ <email>conikost@gentoo.org</email>
+ <name>Conrad Kostecki</name>
+ </maintainer>
+ <longdescription>
+ The world of Darwinia is a virtual themepark, running entirely inside a computer network
+ and populated by a sentient evolving life form called the Darwinians.
+
+ Unfortunately Darwinia has been overrun by a computer virus which has multiplied out of control.
+ Your task is to destroy the Viral Infection and save the Darwinians from extinction.
+ </longdescription>
</pkgmetadata>